//1. Что такое замыкание?
//Замыкания позволяют связать данные с функцией, которая работает с этими данными.
//замыкание даёт доступ к лексическому окружению внешней функции из внутренней функции.

//2. Что такое символ toPrimitive и как работает по умолчанию
//с помощью свойства Symbol.toPrimitive можно привести объект к примитивному типу
//Symbol.toPrimitive описывается как функция, функция вызывается с аргументом hint,
//hint может быть: number, string, или default
